#include<stdio.h>

int main()

{
  
  int n,i,j;
  scanf("%d", &n);
  if(n<1)
  {  printf("-1");
     return -1;
  }
  for(i=1;n>=i;i++)
  {  
    for(j=1;i-1>=j;j++)
       printf(" ");
    for(j=1;n-i>=j;j++)
       printf("*-");
    printf("*\n");
  }
}
